HMS Final/Controllers/AHMSController.cs
using HMS_Final;
using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Data.Entity;
using System.Globalization;
using System.Linq;
using System.Net.Mail;
using System.Web;
using System.Web.Mvc;

namespace HMS_Final.Controllers
{
    public class AHMSController : Controller
    {

        AHMSEntities ent = new AHMSEntities();

        // GET: AHMS
        #region Bed's Data
        public ActionResult Index()
        {
            return View();
        }
        public ActionResult ViewBeds()
        {
            return View();
        }
        //for the ajax call to insert the data 
        public ActionResult AddBed(int RoomCharges, int RoomID)
        {
            Bed bd = new Bed();
            bd.bedcharges = RoomCharges;
            bd.roomid = RoomID;

            ent.Beds.Add(bd);
            ent.SaveChanges();

            return Json(new { status = "success", message = "Data Added" });
        }
        //for the ajax call to get data 
        public ActionResult GetBedData()
        {
            //List<Bed> list = new List<Bed>();

            //var lst = ent.Beds.ToList();
            //for (int i = 0; i < lst.Count; i++)
            //{
            //    Bed bd = new Bed();
            //    bd.bedid = lst[i].bedid;
            //    bd.bedcharges = lst[i].bedcharges;
            //    bd.roomid = lst[i].roomid;
            //    list.Add(bd);
            //}
            var list = ent.SPGetBedRooms().ToList();
            return Json(new { status = "success", message = list });
        }

        public ActionResult EditViewBed( int Id,int  Charges,int RoomID)
        {
            var result = ent.Beds.SingleOrDefault(p =>p.bedid == Id) ;
            if (result != null)
            {
                result.bedid = Id;
                result.bedcharges = Charges;
                result.roomid = RoomID;
                ent.Beds.Attach(result);
                ent.Entry(result).State = EntityState.Modified;
                ent.SaveChanges();

                return Json(new { status = "success", message = "Data Updated Successfully" });
            }



            return Json(new { status = "success", message = "Failed to Upload" });
        }

        public ActionResult DeleteBedData(int id)
        {
            var result = ent.Beds.SingleOrDefault(b => b.bedid == id);
            if (result != null)
            {
                ent.Beds.Remove(result);
                ent.SaveChanges();

                return Json(new { status = "success", message = "Data Deleted" });
            }
            else
                return Json(new { status = "error", message = "Problem in Deletion" });
        }

        public ActionResult GetRoomdIDandType()
        {

            var list = ent.SPGetRoomIdAndType().ToList();
            return Json(new {status="success", message= list });
        }

        #endregion

        #region CallOnDoctor's Data
        public ActionResult CallOnDoctor()
        {
            return View();
        }
        public ActionResult ViewCallOnDoctors()
        {
            return View();
        }
        //for the ajax call to insert the data 
        public ActionResult AddCallOnDoctor(int DCharges, int DoctorNo)
        {
            CallOnDoctor doc = new CallOnDoctor();
            doc.charges = DCharges;
            doc.docno = DoctorNo;

            ent.CallOnDoctors.Add(doc);
            ent.SaveChanges();

            return Json(new { status = "success", message = "Data Added" });
        }

        //for the ajax call to get data 
        public ActionResult GetCallOnDoctorData()
        {
            //List<CallOnDoctor> list = new List<CallOnDoctor>();

            //var lst = ent.CallOnDoctors.ToList();
            //for (int i = 0; i < lst.Count; i++)
            //{
            //    CallOnDoctor cal = new CallOnDoctor();
            //    cal.callid = lst[i].callid;
            //    cal.charges = lst[i].charges;
            //    cal.docno = lst[i].docno;
            //    list.Add(cal);
            //}
            var list = ent.SPGetCallOnDoc().ToList();
            return Json(new { status = "success", message = list });
        }

        public ActionResult GetAllDocNameAndId()
        {
            var list = ent.SPGetAllDocotors().ToList();
            return Json(new { status = "success", message = list });
        }

        //edit call on doctors 
        public ActionResult EditCallOnDoc(int ID,int Charges, int DocId)
        {
            var result = ent.CallOnDoctors.FirstOrDefault(p => p.callid == ID);
            if (result != null)
            {
                result.charges = Charges;
                result.docno = DocId;
                ent.CallOnDoctors.Attach(result);
                ent.Entry(result).State = EntityState.Modified;
                ent.SaveChanges();

                return Json(new { status = "success", message = "Data Updated Successfully" });
            }
            else
                return Json(new { status = "error", message = "Problem in Updating Data" });
        
    }


        public ActionResult DeleteCallOnDocData(int id)
        {
            var result = ent.CallOnDoctors.SingleOrDefault(b => b.callid == id);
            if (result != null)
            {
                ent.CallOnDoctors.Remove(result);
                ent.SaveChanges();

                return Json(new { status = "success", message = "Data Deleted" });
            }
            else
                return Json(new { status = "error", message = "Problem in Deletion" });
        }
        #endregion

        #region Departments's Data
        public ActionResult Department()
        {
            return View();
        }
        public ActionResult ViewDepartments()
        {
            return View();
        }
        //for the ajax call to insert the data 
        public ActionResult AddDepartment(string DeptName, string DeptFac, string DeptLoc, int HodpitalID)
        {
            Department dpt = new Department();
            dpt.deptname = DeptName;
            dpt.depfac = DeptFac;
            dpt.deploc = DeptLoc;
            dpt.Hospitalid = HodpitalID;

            ent.Departments.Add(dpt);
            ent.SaveChanges();

            return Json(new { status = "success", message = "Data Added" });
        }
        //for the ajax call to get data 
        public ActionResult GetAllDeptsData()
        {
            //List<Department> list = new List<Department>();

            //var lst = ent.Departments.ToList();
            //for (int i = 0; i < lst.Count; i++)
            //{
            //    Department dpt = new Department();
            //    dpt.deptno = lst[i].deptno;
            //    dpt.deptname = lst[i].deptname;
            //    dpt.deploc = lst[i].deploc;
            //    dpt.depfac = lst[i].depfac;
            //    list.Add(dpt);
            //}
            //return Json(new { status = "success", message = list });
            var list = ent.SPGetDeptHosp().ToList();

            return Json(new { status = "success", message = list });

        }

        public ActionResult DeleteDeptData(int id)
        {
            var result = ent.Departments.SingleOrDefault(b => b.deptno == id);
            if (result != null)
            {
                ent.Departments.Remove(result);
                ent.SaveChanges();

                return Json(new { status = "success", message = "Data Deleted" });
            }
            else
                return Json(new { status = "error", message = "Problem in Deletion" });
        }

        #endregion

        #region Discharge's Data
        public ActionResult Discharge()
        {
            return View();
        }
        public ActionResult ViewDischarge()
        {
            return View();
        }
        //for the ajax call to insert the data 
        public ActionResult AddDischarge(string DischargeDate, string TreatAdvice, int BalCharges, int TestCharges, int BloodCharges, int Payment, int OperationCharges, int DocCharges, int? IndoorPID, int? OutdoorPID)
        {
            DateTime date = DateTime.ParseExact(DischargeDate, "MM/dd/yyyy", null);

            Discharge d = new Discharge();
            d.dateofdischarge = date;
            d.treatmentadvice = TreatAdvice;
            d.balancecharges = BalCharges;
            d.testcharges = TestCharges;
            d.bloodcharges = BloodCharges;
            d.payment = Payment;
            d.operationscharges = OperationCharges;
            d.doccharges = DocCharges;
            if (IndoorPID == 0)
            {
                IndoorPID = null;
            }
            if (OutdoorPID == 0)
            {
                OutdoorPID = null;
            }


            d.indoorpid = IndoorPID;
            d.outdoorpid = OutdoorPID;




            ent.Discharges.Add(d);
            ent.SaveChanges();

            return Json(new { status = "success", message = "Data Added" });
        }
        //for the ajax call to get data 
        public ActionResult GetDischargeData()
        {
            var list = ent.SPGetDisInOutPat().ToList();

            return Json(new { status = "success", message = list });
            //List<Discharge> list = new List<Discharge>();

            //var lst = ent.Discharges.ToList();
            //for (int i = 0; i < lst.Count; i++)
            //{
            //    Discharge dis = new Discharge();
            //    dis.disid = lst[i].disid;
            //    dis.balancecharges = lst[i].balancecharges;
            //    dis.bloodcharges = lst[i].bloodcharges;
            //    dis.testcharges = lst[i].testcharges;
            //    dis.payment = lst[i].payment;
            //    dis.dateofdischarge = lst[i].dateofdischarge;
            //    dis.operationscharges = lst[i].operationscharges;
            //    dis.doccharges = lst[i].doccharges;
            //    dis.treatmentadvice = lst[i].treatmentadvice;

HMS Final/Controllers/HomeController.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace HMS_Final.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            return View();
        }

        public ActionResult About()
        {
            return View();
        }

        public ActionResult ServicesView() {

            return View();

        }

        public ActionResult ServicesDental()
        {

            return View();

        }

        public ActionResult ServicesBloodBank()
        {

            return View();

        }

        public ActionResult ServicesMedicalResearch()
        {

            return View();

        }
        public ActionResult ServicesAdvice()
        {

            return View();

        }

        public ActionResult ServicesCouncling()
        {

            return View();

        }

        public ActionResult ContactUs()
        {

            return View();

        }


        public ActionResult AppointmentView()
        {

            return View();

        }


    }
}

HMS Final/Views/Home/About.cshtml
@{
    ViewBag.Title = "About";
    Layout = "~/Views/Shared/_layoutThemeMedicalPress.cshtml";
}

<!--banner-->
<div class="banner clearfix" style="background-repeat: no-repeat; background-position: center top; background-image: url('../../Content/ThemeMedical/images/Banners/banner.jpg'); background-size: cover;"></div>
<div class="page-top clearfix">
    <div class="container">
        <!--page main heading-->
        <h1 class="entry-title">About</h1>
        <nav class="bread-crumb">
            <ul class="breadcrumb clearfix">
                <li><a href="#">Jinnah Hospital</a><span class="divider"></span></li>
                <li class="active">About</li>
            </ul>
        </nav>
    </div>
</div>
<div class="services-page clearfix">
    <div class="container">
        <div class="row">

            <div class="col-lg-12 col-md-12 col-sm-12">
                <div class="blog-page-single clearfix">
                    <article id="post-241" class="clearfix post-241 page type-page status-publish hentry">
                        <div class="full-width-contents">
                            <header class="entry-header"></header>
                            <div class="entry-content">
                                <p style="text-align: justify;">Jinnah Hospital &amp; Cardiac Centre is a 110 bedded private hospital situated in the heart of Lahore, a venture with great commitment to meet the challenges of the 21<sup>st</sup> century. We take great pride in being one of the premiers in the private healthcare industry. Since its inception in 1985 the hospital has grown, flourished and modernized to meet the demands of time. Jinnah Hospital works with the idea of providing excellent health care services to all the classes of the strata and to share the burden with the government hospitals. With full time consultant cover, state – of – the – art Cardiac Centre, ISO certified Laboratory Jinnah hospital is fully confident with its energetic team of Doctors, Nurses and paramedical staff. Cardiologists and Cardiac Surgeons at Jinnah Hospital are serving the people with precision and panache. The management at the hospital works hard to assure quality is never compromised, to keep up with the latest advancements in health care and to make the most of the opportunities that arise in the local health care industry.</p>
                            </div>
                        </div>
                    </article>
                </div>

                <div class="row">
                    <div class="col-lg-12 col-md-12 col-sm-12">
                        <!-- start of comments section -->
                        <div id="comments-section">



                        </div>
                        <!-- end of comments -->
                    </div>
                </div>
            </div>

        </div>
    </div>
</div>

HMS Final/Views/Home/AppointmentView.cshtml
@{
    ViewBag.Title = "AppointmentView";
    Layout = "~/Views/Shared/_layoutThemeMedicalPress.cshtml";
}



<style>
    .banner {
        background-image: url(/Content/ThemeMedical/images/Banners/banner.jpg);
    }
</style>


     
        <div class="banner clearfix"></div>

        <div class="page-top clearfix">
            <div class="container">
                <div class="row">
                    <div class="col-lg-12 col-md-12 col-sm-12">
                        <h1 class="entry-title">Make an Appointment</h1>
                        <nav class="bread-crumb">
                            <ul class="breadcrumb clearfix"><li><a href="/home/index">Jinnah Hospital</a><span class="divider"></span></li><li class="active">Make an Appointment</li></ul>
                        </nav>
                    </div>
                </div>
            </div>
        </div>

        <div class="appoint-page clearfix">
            <div class="container">

                <div class="row">
                    <div class="col-lg-10 col-md-10 col-sm-10 col-lg-offset-1 col-md-offset-1 col-sm-offset-1">
                        <article id="post-188" class=" clearfix post-188 page type-page status-publish hentry">
                            <div class="entry-content">
                                <h2 style="text-align: center;">Make an Appointment</h2>
                                <p style="text-align: center;">Kindly fill the information carefully.</p>
                            </div>
                        </article>
                    </div>
                </div>


                <div class="row">
                    <div class="col-lg-10 col-md-10 col-sm-10 col-lg-offset-1 col-md-offset-1 col-sm-offset-1">
                        <div class="appoint-section clearfix">
                            <div class="top-icon"><img src="http://medicalpress.inspirythemes.biz/wp-content/themes/inspiry-medicalpress/images/appoint-form-top.png" alt="" /></div>
                            <form id="appointment_form_main">

                                <div class="row">
                                    <div class="col-lg-6 col-md-6 col-sm-12 ">
                                        <input type="text" name="name" id="app-name" class="required" placeholder="Name" title="* Please provide your name" />
                                    </div>
                                    <div class="col-lg-6 col-md-6 col-sm-12 ">
                                        <input type="text" name="number" id="app-number" placeholder="Phone Number" title="* Please provide your phone number." />
                                    </div>
                                </div>

                                <div class="row">
                                    <div class="col-lg-6 col-md-6 col-sm-12 ">
                                        <input type="email" name="email" id="app-email" class="required email" placeholder="Email Address" title="* Please provide a valid email address" />
                                    </div>
                                    <div class="col-lg-6 col-md-6 col-sm-12 ">
                                        <input type="text" name="date" id="datepicker" placeholder="Appointment Date"/  title="* Please provide appointment date">
                                    </div>
                                </div>

                                <div class="row">
                                    <div class=" col-lg-12 col-md-12 col-sm-12">
                                        <textarea name="message" id="app-message" class="required" cols="50" rows="1" placeholder="Message" title="* Please provide your message"></textarea>
                               
                                    </div>
                                </div>


                                <div class="row">
                                    <div class="col-sm-12">
                                        <input type="button" name="Submit" class="btn" value="Submit Request" style="background-color: black;" onclick="SendEmail()"/>
                                    </div>

                                    <div class="col-sm-12">
                                        <div id="message-sent"></div>
                                        <div id="error-container"></div>
                                    </div>

                                </div>

                            </form>
                        </div>
                    </div>
                </div>

            </div>
        </div>

  <script>
    function SendEmail()
    {
        debugger;
        var Name = $('#app-name').val();
        var Phone = $('#app-number').val();
        var Email = $('#app-email').val();
        var Date = $('#datepicker').val();
        var Message = $('#app-message').val();
        $.ajax({
            url: '@Url.Action("SendEmail", "AHMS")',
            type: "POST",
            dataType: "json",
            data: JSON.stringify({ Name: Name, Phone: Phone, Email: Email, Date: Date, Message: Message }),
            traditional: "true",
            contentType: "application/json; charset=utf-8",
            success: function (data) {
                if (data.status == "success") {
                    debugger;
                    swal(data.message, "", "success")
                }
            },
            error: function (xhr) {
                alert(xhr.responseText);
            }
        });



    }
</script>

HMS Final/Views/Home/ContactUs.cshtml
@{
    ViewBag.Title = "ContactUs";
    Layout = "~/Views/Shared/_layoutThemeMedicalPress.cshtml";
}


<style>
    .banner {
        background-image: url(/Content/ThemeMedical/images/Banners/banner.jpg);
    }
</style>
<!--banner-->
<div class="banner clearfix"></div>
<div class="page-top clearfix">
    <!--page main heading-->
    <div class="container">
        <h1 class="entry-title">Contact</h1>
        <nav class="bread-crumb">
            <ul class="breadcrumb clearfix">
                <li><a href="#">Jinnah Hospital</a><span class="divider"></span></li>
                <li class="active">Contact</li>
            </ul>
        </nav>
    </div>
</div>
<div class="contact-page clearfix">
    <div class="container">
        <!--contact form section-->
        <div class="blog-page-single clearfix">
            <article class="page type-page hentry  clearfix">
                <div class="full-width-contents">
                    <div class="entry-content">
                        <h2>Get in Touch</h2>
                        <p>
                            We want to know what you think about the services we provide - we want to give you the confidence<br /> to make comments and tell us about any worries without having to go through the Jinnah complaints procedure.
                        </p>
                    </div>
                </div>
            </article>
        </div>
        <div class="clearfix"></div>
        <!--contact form-->
        <div class="row">
            <div class="col-lg-5 col-md-5 col-sm-6 ">
                <form id="contact_form" class="contact-form">
                    <input type="text" name="name" id="app-name" class="required" placeholder="Full Name" title="* Please provide your name">
                    <input type="text" name="email" id="app-email" class="required email" placeholder="Email Address" title="* Please provide a valid email address">
                    <input type="text" name="number" id="app-number" placeholder="Phone Number">
                    <input type="hidden" name="action" value="send_message">
                    <input type="hidden" name="nonce" value="">
                    <textarea name="message" id="app-message" class="required" cols="30" rows="5" placeholder="Message" title="* Please provide your message"></textarea>
                    <button id="contact-form-submit" style="background-color:black" class="btn btn-default" type="button" onclick="SendEmail()">Contact Us</button>
            
                </form>
            </div>
            <!--contact detail-->
            <div class="col-lg-6 col-md-6 col-sm-6  col-lg-offset-1 col-md-offset-1">
                <div class="contact-sidebar clearfix">
                    <article class="address-area clearfix">
                        <h2><span>Jinnah Hospital</span></h2>
                        <div class="row">
                            <div class="col-md-6">
                                <address>
                                    aisal Town Usmani Road، Lahore 54550
                                </address>
                            </div>
                            <div class="col-md-6">
                                <p>
                                    <strong>Phone :</strong>+92-042-3253467
                                </p>
                                <p>
                                    <strong>Fax :</strong>+92-042-3842122
                                </p>
                            </div>
                        </div>
                    </article>
                    <!--social icons-->
                    <article class="social-icon clearfix">
                        <h5><span>Social :</span></h5>
                        <ul class="clearfix">
                            <li class="twitter-icon"><a target="_blank" href="#"><i class="fa fa-twitter"></i></a></li>
                            <li class="facebook-icon"><a target="_blank" href="#"><i class="fa fa-facebook"></i></a></li>
                            <li class="google-icon"><a target="_blank" href="#"><i class="fa fa-google-plus"></i></a></li>
                            <li class="linkedin-icon"><a target="_blank" href="#"><i class="fa fa-linkedin"></i></a></li>
                            <li class="instagram-icon"><a target="_blank" href="#"><i class="fa fa-instagram"></i></a></li>
                            <li class="youtube-icon"><a target="_blank" href="#"><i class="fa fa-youtube"></i></a></li>
                            <li class="skype-icon"><a target="_blank" href="skype:skypeusername?add"><i class="fa fa-skype"></i></a></li>
                            <li class="rss-icon"><a target="_blank" href="#"><i class="fa fa-rss"></i></a></li>
                        </ul>
                    </article>
                </div>
            </div>
        </div>
    </div>
    <!--google map -->
    <div class="container">
        <div class="map-wrapper">
            <div style="width: 100%">
            <iframe width="100%" height="600" src="https://www.mapsdirections.info/en/custom-google-maps/map.php?width=100%&height=600&hl=ru&q=aisal%20Town%20Usmani%20Road%D8%8C%20Lahore%2054550+(Jinnah%20Hospital)&ie=UTF8&t=&z=14&iwloc=A&output=embed" frameborder="0" scrolling="no" marginheight="0" marginwidth="0">
                <a href="https://www.mapsdirections.info/en/custom-google-maps/">Create a custom Google Map</a> 
                </iframe></div><br />
        </div>
    </div>
</div>





<script>
    function SendEmail()
    {
        debugger;
        var Name = $('#app-name').val();
        var Phone = $('#app-number').val();
        var Email = $('#app-email').val();
        var Message = $('#app-message').val();
        $.ajax({
            url: '@Url.Action("Contactus", "AHMS")',
            type: "POST",
            dataType: "json",
            data: JSON.stringify({ Name: Name, Phone: Phone, Email: Email, Message: Message }),
            traditional: "true",
            contentType: "application/json; charset=utf-8",
            success: function (data) {
                if (data.status == "success") {
                    debugger;
                    swal(data.message, "", "success");
                  $('#app-name').val('');
                  $('#app-number').val('');
                  $('#app-email').val('');
                  $('#app-message').val('');
                }
            },
            error: function (xhr) {
                alert(xhr.responseText);
            }
        });



    }
</script>